
export crossOS=android
echo "+ Setting crossOS=$crossOS"

if [ ! -d ../ext/android-ndk ] ; then
  echo "Warning: Failed to detect Android NDK extension:"
  echo "  <gsdl3home>/ext/android-ndk"
  echo "Assuming your environment is set up independently to compile with NDK"
  sleep 3;
else

  pushd ../ext/android-ndk
  source ./devel.bash
  popd
fi

# Need to make sure crossOS is set before sourcing the gnome-lib ext
# to ensure GSDLOS is set to 'android'.  This in turn ensures that all
# the cross-compiled files go under the 'android' install directory
# and avoids cross-contamination of shared libraries between commands
# run on the build OS (linux) and the intented final host OS (android)

pushd ../gs2build/ext/gnome-lib
source ./devel.bash
popd

source ./gs3-setup.bash


